#ifndef OBJECTS_VIEW_H
#define OBJECTS_VIEW_H

#include "piintrospection_server_p.h"
#include "piqt.h"
#include "ui_objects_view.h"

#include <QDebug>
#include <QWidget>

class ObjectsView
	: public QWidget
	, private Ui::ObjectsView {
	Q_OBJECT

public:
	ObjectsView(QWidget * parent = 0);
	~ObjectsView();
	void showObjects(const PIVector<PIIntrospection::ObjectInfo> & objects);

protected:
	void changeEvent(QEvent * e);

private slots:
	void sessionSave(QByteArray * data) { *data = treeObjects->header()->saveState(); }
	void sessionLoad(QByteArray * data) { treeObjects->header()->restoreState(*data); }

public slots:
};

#endif // OBJECTS_VIEW_H
